Page MenuHomePhabricator

[ASTContext] Avoid duplicating address space map. NFCI
ClosedPublic

Authored by arichardson on Nov 18 2022, 11:56 AM.

Details

Reviewers
pcc
rjmccall
Group Reviewers
Restricted Project
Commits
rGc4c23527d6c9: [ASTContext] Avoid duplicating address space map. NFCI
Summary

ASTContext was holding onto a pointer to the Clang->LLVM address space map
which is stored inside TargetInfo. Instead of doing this, we can forward to
TargetInfo instead. This change will allow us to eventually remove
getTargetAddressSpace() from ASTContext and only have this information in
TargetInfo.

Diff Detail

Event Timeline

arichardson created this revision.Nov 18 2022, 11:56 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 18 2022, 11:56 AM
arichardson requested review of this revision.Nov 18 2022, 11:56 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 18 2022, 11:56 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript

As this is a rather simple cleanup, I'll go ahead and merge this next week unless there is any objection until then.

rjmccall accepted this revision.Dec 13 2022, 11:49 AM

This looks fine to me.

This revision is now accepted and ready to land.Dec 13 2022, 11:49 AM
This revision was landed with ongoing or failed builds.Dec 16 2022, 3:28 AM
This revision was automatically updated to reflect the committed changes.